DataAbstract.h File Reference
`#include "system_dep.h"`
`#include "DataTypes.h"`
`#include "DataVector.h"`
`#include "FunctionSpace.h"`
`#include <boost/scoped_ptr.hpp>`
`#include "DataException.h"`
`#include <string>`
`#include <fstream>`
`#include <vector>`
`#include "Pointers.h"`

Go to the source code of this file.

## Classes

class | escript::DataAbstract

## Namespaces

| escript

## Typedefs

typedef boost::shared_ptr< DataAbstract > | escript::DataAbstract_ptr
typedef boost::shared_ptr< const DataAbstract > | escript::const_DataAbstract_ptr
typedef boost::shared_ptr< DataReady > | escript::DataReady_ptr
typedef boost::shared_ptr< const DataReady > | escript::const_DataReady_ptr